Bug 35963 - gcc does not understand -traditional-cpp, reports installation problem
Summary: gcc does not understand -traditional-cpp, reports installation problem
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-15 14:12 UTC by Mikulas Patocka
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-24 16:28:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:082 high SHIPPED_LIVE New version of GCC 2.96-RH available fixing several bugs 2001-06-14 04:00:00 UTC

Description Mikulas Patocka 2001-04-15 14:12:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16 i586; Nav)


Gcc tries to search for tradtradcpp0 and reports installation problem when
-traditional-cpp is used.

Reproducible: Always
Steps to Reproduce:
Type
gcc -traditional -traditional-cpp -E -


Actual Results:  You get
gcc: unrecognized option `-traditional-cpp'
gcc: installation problem, cannot exec `tradtradcpp0': No such file or
directory

Expected Results:  Gcc should not report installation problem.
It should either write only 'unrecognised option' message, or properly
process -traditional-cpp.

Comment 1 Jakub Jelinek 2001-04-24 16:28:23 UTC
http://gcc.gnu.org/ml/gcc-patches/2000-11/msg01167.html fix
will be included in gcc-2.96-82.


Note You need to log in before you can comment on or make changes to this bug.